openSUSE-SU-2019:0050-1: moderate: Security update for aria2


openSUSE Security Update: Security update for aria2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0050-1
Rating: moderate
References: #1120488
Cross-References: CVE-2019-3500
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
openSUSE Backports SLE-15
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for aria2 fixes the following security issue:

– CVE-2019-3500: Metadata and potential password leaks via –log=
(boo#1120488)

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-50=1

– openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-50=1

– openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2019-50=1

Package List:

– openSUSE Leap 42.3 (i586 x86_64):

aria2-1.24.0-4.4.1
aria2-debuginfo-1.24.0-4.4.1
aria2-debugsource-1.24.0-4.4.1
aria2-devel-1.24.0-4.4.1
libaria2-0-1.24.0-4.4.1
libaria2-0-debuginfo-1.24.0-4.4.1

– openSUSE Leap 42.3 (noarch):

aria2-lang-1.24.0-4.4.1

– openSUSE Leap 15.0 (x86_64):

aria2-1.33.1-lp150.2.4.1
aria2-debuginfo-1.33.1-lp150.2.4.1
aria2-debugsource-1.33.1-lp150.2.4.1
aria2-devel-1.33.1-lp150.2.4.1
libaria2-0-1.33.1-lp150.2.4.1
libaria2-0-debuginfo-1.33.1-lp150.2.4.1

– openSUSE Leap 15.0 (noarch):

aria2-lang-1.33.1-lp150.2.4.1

– openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

aria2-1.33.1-bp150.3.7.1
aria2-devel-1.33.1-bp150.3.7.1
libaria2-0-1.33.1-bp150.3.7.1

– openSUSE Backports SLE-15 (noarch):

aria2-lang-1.33.1-bp150.3.7.1

References:

https://www.suse.com/security/cve/CVE-2019-3500.html
https://bugzilla.suse.com/1120488


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org